target datalayout = "e-p:64:64:64-i1:8:8-i8:8:8-i16:16:16-i32:32:32-i64:64:64-f32:32:32-f64:64:64-v16:16:16-v24:32:32-v32:32:32-v48:64:64-v64:64:64-v96:128:128-v128:128:128-v192:256:256-v256:256:256-v512:512:512-v1024:1024:1024"
target triple = "spir64-unknown-unknown"

%union.U = type { i32 addrspace(1)* }

@g = addrspace(1) global i32 1, align 4
@testKernel.l = internal addrspace(3) global i32 undef, align 4
@u = addrspace(1) global %union.U zeroinitializer, align 8

; Function Attrs: nounwind
define spir_func zeroext i8 @isFenceValid(i32 %fence) #0 {
entry:
  %cmp = icmp eq i32 %fence, 0
  br i1 %cmp, label %if.then, label %lor.lhs.false

lor.lhs.false:                                    ; preds = %entry
  %cmp1 = icmp eq i32 %fence, 2
  br i1 %cmp1, label %if.then, label %lor.lhs.false2

lor.lhs.false2:                                   ; preds = %lor.lhs.false
  %cmp3 = icmp eq i32 %fence, 1
  br i1 %cmp3, label %if.then, label %lor.lhs.false4

lor.lhs.false4:                                   ; preds = %lor.lhs.false2
  %cmp5 = icmp eq i32 %fence, 3
  br i1 %cmp5, label %if.then, label %if.else

if.then:                                          ; preds = %lor.lhs.false4, %lor.lhs.false2, %lor.lhs.false, %entry
  br label %return

if.else:                                          ; preds = %lor.lhs.false4
  br label %return

return:                                           ; preds = %if.else, %if.then
  %retval.0 = phi i8 [ 1, %if.then ], [ 0, %if.else ]
  ret i8 %retval.0
}

; Function Attrs: nounwind
define spir_kernel void @testKernel(i32 addrspace(1)* %results) #0 {
entry:
  %p = alloca i32, align 4
  %0 = call spir_func <3 x i64> @BuiltInGlobalInvocationId() #2
  %call = extractelement <3 x i64> %0, i32 0
  %conv = trunc i64 %call to i32
  %cmp = icmp ne i32 %conv, 0
  %1 = getelementptr inbounds %union.U, %union.U addrspace(1)* @u, i32 0, i32 0
  %2 = bitcast %union.U addrspace(1)* @u to i32 addrspace(3)* addrspace(1)*
  %3 = bitcast %union.U addrspace(1)* @u to i32* addrspace(1)*
  br i1 %cmp, label %if.then, label %if.end

if.then:                                          ; preds = %entry
  %idxprom = zext i32 %conv to i64
  %arrayidx = getelementptr inbounds i32, i32 addrspace(1)* %results, i64 %idxprom
  store i32 1, i32 addrspace(1)* %arrayidx, align 4
  br label %cleanup

if.end:                                           ; preds = %entry
  store i32 2, i32 addrspace(3)* @testKernel.l, align 4
  %4 = bitcast i32* %p to i8*
  %5 = bitcast i8* %4 to i8*
  call void @llvm.lifetime.start.p0i8(i64 4, i8* %5)
  store i32 3, i32* %p, align 4
  store i32 addrspace(1)* @g, i32 addrspace(1)* addrspace(1)* %1, align 8
  %6 = load i32 addrspace(1)*, i32 addrspace(1)* addrspace(1)* %1, align 8
  %7 = addrspacecast i32 addrspace(1)* %6 to i8 addrspace(4)*
  %call21 = call spir_func i32 @OpGenericPtrMemSemantics_p4i8(i8 addrspace(4)* %7) #0
  %call2 = lshr i32 %call21, 8
  %call3 = call spir_func zeroext i8 @isFenceValid(i32 %call2) #0
  %lnot = icmp ne i8 %call3, 1
  %lnot.ext = select i1 %lnot, i32 1, i32 0
  %add = add nsw i32 0, %lnot.ext
  %8 = load i32 addrspace(1)*, i32 addrspace(1)* addrspace(1)* %1, align 8
  %9 = addrspacecast i32 addrspace(1)* %8 to i8 addrspace(4)*
  %10 = bitcast i8 addrspace(4)* %9 to i8 addrspace(4)*
  %11 = call spir_func i8 addrspace(1)* @OpGenericCastToPtrExplicit_p1i8_p4i8_i32(i8 addrspace(4)* %10, i32 5) #0
  %12 = bitcast i8 addrspace(1)* %11 to i8 addrspace(1)*
  %13 = bitcast i8 addrspace(1)* %12 to i32 addrspace(1)*
  %14 = ptrtoint i32 addrspace(1)* %13 to i64
  %15 = ptrtoint i32 addrspace(1)* null to i64
  %tobool = icmp ne i64 %14, %15
  %i1promo = zext i1 %tobool to i8
  %lnot4 = icmp ne i8 %i1promo, 1
  %lnot.ext5 = select i1 %lnot4, i32 1, i32 0
  %add6 = add nsw i32 %add, %lnot.ext5
  %16 = load i32 addrspace(1)*, i32 addrspace(1)* addrspace(1)* %1, align 8
  %17 = load i32, i32 addrspace(1)* %16, align 4
  %cmp7 = icmp ne i32 %17, 1
  %conv8 = select i1 %cmp7, i32 1, i32 0
  %add9 = add nsw i32 %add6, %conv8
  store i32 addrspace(3)* @testKernel.l, i32 addrspace(3)* addrspace(1)* %2, align 8
  %18 = load i32 addrspace(3)*, i32 addrspace(3)* addrspace(1)* %2, align 8
  %19 = addrspacecast i32 addrspace(3)* %18 to i8 addrspace(4)*
  %call102 = call spir_func i32 @OpGenericPtrMemSemantics_p4i8(i8 addrspace(4)* %19) #0
  %call10 = lshr i32 %call102, 8
  %call11 = call spir_func zeroext i8 @isFenceValid(i32 %call10) #0
  %lnot12 = icmp ne i8 %call11, 1
  %lnot.ext13 = select i1 %lnot12, i32 1, i32 0
  %add14 = add nsw i32 %add9, %lnot.ext13
  %20 = load i32 addrspace(3)*, i32 addrspace(3)* addrspace(1)* %2, align 8
  %21 = addrspacecast i32 addrspace(3)* %20 to i8 addrspace(4)*
  %22 = bitcast i8 addrspace(4)* %21 to i8 addrspace(4)*
  %23 = call spir_func i8 addrspace(3)* @OpGenericCastToPtrExplicit_p3i8_p4i8_i32(i8 addrspace(4)* %22, i32 4) #0
  %24 = bitcast i8 addrspace(3)* %23 to i8 addrspace(3)*
  %25 = bitcast i8 addrspace(3)* %24 to i32 addrspace(3)*
  %26 = ptrtoint i32 addrspace(3)* %25 to i64
  %27 = ptrtoint i32 addrspace(3)* null to i64
  %tobool15 = icmp ne i64 %26, %27
  %i1promo1 = zext i1 %tobool15 to i8
  %lnot16 = icmp ne i8 %i1promo1, 1
  %lnot.ext17 = select i1 %lnot16, i32 1, i32 0
  %add18 = add nsw i32 %add14, %lnot.ext17
  %28 = load i32 addrspace(3)*, i32 addrspace(3)* addrspace(1)* %2, align 8
  %29 = load i32, i32 addrspace(3)* %28, align 4
  %cmp19 = icmp ne i32 %29, 2
  %conv20 = select i1 %cmp19, i32 1, i32 0
  %add21 = add nsw i32 %add18, %conv20
  store i32* %p, i32* addrspace(1)* %3, align 8
  %30 = load i32*, i32* addrspace(1)* %3, align 8
  %31 = addrspacecast i32* %30 to i8 addrspace(4)*
  %call223 = call spir_func i32 @OpGenericPtrMemSemantics_p4i8(i8 addrspace(4)* %31) #0
  %call22 = lshr i32 %call223, 8
  %call23 = call spir_func zeroext i8 @isFenceValid(i32 %call22) #0
  %lnot24 = icmp ne i8 %call23, 1
  %lnot.ext25 = select i1 %lnot24, i32 1, i32 0
  %add26 = add nsw i32 %add21, %lnot.ext25
  %32 = load i32*, i32* addrspace(1)* %3, align 8
  %33 = addrspacecast i32* %32 to i8 addrspace(4)*
  %34 = bitcast i8 addrspace(4)* %33 to i8 addrspace(4)*
  %35 = call spir_func i8* @OpGenericCastToPtrExplicit_p0i8_p4i8_i32(i8 addrspace(4)* %34, i32 7) #0
  %36 = bitcast i8* %35 to i8*
  %37 = bitcast i8* %36 to i32*
  %38 = ptrtoint i32* %37 to i64
  %39 = ptrtoint i32* null to i64
  %tobool27 = icmp ne i64 %38, %39
  %i1promo2 = zext i1 %tobool27 to i8
  %lnot28 = icmp ne i8 %i1promo2, 1
  %lnot.ext29 = select i1 %lnot28, i32 1, i32 0
  %add30 = add nsw i32 %add26, %lnot.ext29
  %40 = load i32*, i32* addrspace(1)* %3, align 8
  %41 = load i32, i32* %40, align 4
  %cmp31 = icmp ne i32 %41, 3
  %conv32 = select i1 %cmp31, i32 1, i32 0
  %add33 = add nsw i32 %add30, %conv32
  %cmp34 = icmp eq i32 %add33, 0
  %conv35 = select i1 %cmp34, i32 1, i32 0
  %idxprom36 = zext i32 %conv to i64
  %arrayidx37 = getelementptr inbounds i32, i32 addrspace(1)* %results, i64 %idxprom36
  store i32 %conv35, i32 addrspace(1)* %arrayidx37, align 4
  %42 = bitcast i32* %p to i8*
  %43 = bitcast i8* %42 to i8*
  call void @llvm.lifetime.end.p0i8(i64 4, i8* %43)
  br label %cleanup

cleanup:                                          ; preds = %if.end, %if.then
  %cleanup.dest.slot.0 = phi i32 [ 1, %if.then ], [ 0, %if.end ]
  switch i32 %cleanup.dest.slot.0, label %unreachable [
    i32 0, label %cleanup.cont
    i32 1, label %cleanup.cont
  ]

cleanup.cont:                                     ; preds = %cleanup, %cleanup
  ret void

unreachable:                                      ; preds = %cleanup
  unreachable
}

; Function Attrs: argmemonly nounwind willreturn
declare void @llvm.lifetime.start.p0i8(i64 immarg, i8* nocapture) #1

; Function Attrs: nounwind
declare spir_func i32 @OpGenericPtrMemSemantics_p4i8(i8 addrspace(4)*) #0

; Function Attrs: nounwind
declare spir_func i8 addrspace(1)* @OpGenericCastToPtrExplicit_p1i8_p4i8_i32(i8 addrspace(4)*, i32) #0

; Function Attrs: nounwind
declare spir_func i8 addrspace(3)* @OpGenericCastToPtrExplicit_p3i8_p4i8_i32(i8 addrspace(4)*, i32) #0

; Function Attrs: nounwind
declare spir_func i8* @OpGenericCastToPtrExplicit_p0i8_p4i8_i32(i8 addrspace(4)*, i32) #0

; Function Attrs: argmemonly nounwind willreturn
declare void @llvm.lifetime.end.p0i8(i64 immarg, i8* nocapture) #1

; Function Attrs: nounwind readnone
declare spir_func <3 x i64> @BuiltInGlobalInvocationId() #2

attributes #0 = { nounwind }
attributes #1 = { argmemonly nounwind willreturn }
attributes #2 = { nounwind readnone }

!opencl.kernels = !{!0}
!IGCMetadata = !{!7}
!opencl.enable.FP_CONTRACT = !{}
!opencl.spir.version = !{!240}
!opencl.ocl.version = !{!240}
!opencl.used.extensions = !{!241}
!opencl.used.optional.core.features = !{!241}
!opencl.compiler.options = !{!242}

!0 = !{void (i32 addrspace(1)*)* @testKernel, !1, !2, !3, !4, !5, !6}
!1 = !{!"kernel_arg_addr_space", i32 1}
!2 = !{!"kernel_arg_access_qual", !"none"}
!3 = !{!"kernel_arg_type", !"uint*"}
!4 = !{!"kernel_arg_type_qual", !""}
!5 = !{!"kernel_arg_base_type", !"int*"}
!6 = !{!"kernel_arg_name", !"results"}
!7 = !{!"ModuleMD", !8, !9, !64, !121, !151, !167, !179, !189, !191, !192, !203, !204, !205, !206, !209, !210, !211, !212, !213, !214, !215, !216, !217, !218, !219, !220, !222, !226, !227, !228, !229, !230, !231, !108, !232, !233, !235, !238, !239}
!8 = !{!"isPrecise", i1 false}
!9 = !{!"compOpt", !10, !11, !12, !13, !14, !15, !16, !17, !18, !19, !20, !21, !22, !23, !24, !25, !26, !27, !28, !29, !30, !31, !32, !33, !34, !35, !36, !37, !38, !39, !40, !41, !42, !43, !44, !45, !46, !47, !48, !49, !50, !51, !52, !53, !54, !55, !56, !57, !58, !59, !60, !61, !62, !63}
!10 = !{!"DenormsAreZero", i1 false}
!11 = !{!"CorrectlyRoundedDivSqrt", i1 false}
!12 = !{!"OptDisable", i1 false}
!13 = !{!"MadEnable", i1 false}
!14 = !{!"NoSignedZeros", i1 false}
!15 = !{!"NoNaNs", i1 false}
!16 = !{!"FloatRoundingMode", i32 0}
!17 = !{!"FloatCvtIntRoundingMode", i32 3}
!18 = !{!"VISAPreSchedRPThreshold", i32 0}
!19 = !{!"SetLoopUnrollThreshold", i32 0}
!20 = !{!"UnsafeMathOptimizations", i1 false}
!21 = !{!"FiniteMathOnly", i1 false}
!22 = !{!"FastRelaxedMath", i1 false}
!23 = !{!"DashGSpecified", i1 false}
!24 = !{!"FastCompilation", i1 false}
!25 = !{!"UseScratchSpacePrivateMemory", i1 true}
!26 = !{!"RelaxedBuiltins", i1 false}
!27 = !{!"SubgroupIndependentForwardProgressRequired", i1 true}
!28 = !{!"GreaterThan2GBBufferRequired", i1 true}
!29 = !{!"GreaterThan4GBBufferRequired", i1 true}
!30 = !{!"DisableA64WA", i1 false}
!31 = !{!"ForceEnableA64WA", i1 false}
!32 = !{!"PushConstantsEnable", i1 true}
!33 = !{!"HasPositivePointerOffset", i1 false}
!34 = !{!"HasBufferOffsetArg", i1 false}
!35 = !{!"BufferOffsetArgOptional", i1 true}
!36 = !{!"HasSubDWAlignedPtrArg", i1 false}
!37 = !{!"replaceGlobalOffsetsByZero", i1 false}
!38 = !{!"forcePixelShaderSIMDMode", i32 0}
!39 = !{!"pixelShaderDoNotAbortOnSpill", i1 false}
!40 = !{!"UniformWGS", i1 false}
!41 = !{!"disableVertexComponentPacking", i1 false}
!42 = !{!"disablePartialVertexComponentPacking", i1 false}
!43 = !{!"PreferBindlessImages", i1 false}
!44 = !{!"UseBindlessMode", i1 false}
!45 = !{!"UseLegacyBindlessMode", i1 true}
!46 = !{!"disableMathRefactoring", i1 false}
!47 = !{!"atomicBranch", i1 false}
!48 = !{!"ForceMinSimdSizeForFastestCS", i1 false}
!49 = !{!"EnableFastestLinearScan", i1 false}
!50 = !{!"UseStatelessforPrivateMemory", i1 false}
!51 = !{!"EnableTakeGlobalAddress", i1 false}
!52 = !{!"IsLibraryCompilation", i1 false}
!53 = !{!"FastVISACompile", i1 false}
!54 = !{!"MatchSinCosPi", i1 false}
!55 = !{!"CaptureCompilerStats", i1 false}
!56 = !{!"EnableZEBinary", i1 false}
!57 = !{!"ExcludeIRFromZEBinary", i1 false}
!58 = !{!"allowDisableRematforCS", i1 false}
!59 = !{!"DisableIncSpillCostAllAddrTaken", i1 false}
!60 = !{!"DisableCPSOmaskWA", i1 false}
!61 = !{!"DisableFastestGopt", i1 false}
!62 = !{!"WaForceHalfPromotion", i1 false}
!63 = !{!"EnableUndefAlphaOutputAsRed", i1 true}
!64 = !{!"FuncMD", !65, !66}
!65 = !{!"FuncMDMap[0]", void (i32 addrspace(1)*)* @testKernel}
!66 = !{!"FuncMDValue[0]", !67, !68, !72, !73, !74, !94, !100, !101, !102, !103, !104, !105, !106, !107, !108, !109, !110, !111, !112, !113, !114, !115, !116, !117, !118, !119, !120}
!67 = !{!"localOffsets"}
!68 = !{!"workGroupWalkOrder", !69, !70, !71}
!69 = !{!"dim0", i32 0}
!70 = !{!"dim1", i32 0}
!71 = !{!"dim2", i32 0}
!72 = !{!"funcArgs"}
!73 = !{!"functionType", !"KernelFunction"}
!74 = !{!"rtInfo", !75, !76, !77, !78, !79, !80, !81, !82, !83, !84, !85, !86, !87, !88, !89, !93}
!75 = !{!"callableShaderType", !"NumberOfCallableShaderTypes"}
!76 = !{!"isContinuation", i1 false}
!77 = !{!"hasTraceRayPayload", i1 false}
!78 = !{!"hasHitAttributes", i1 false}
!79 = !{!"hasCallableData", i1 false}
!80 = !{!"ShaderStackSize", i32 0}
!81 = !{!"ShaderHash", i64 0}
!82 = !{!"ShaderName", !""}
!83 = !{!"ParentName", !""}
!84 = !{!"SlotNum", i1* null}
!85 = !{!"NOSSize", i32 0}
!86 = !{!"Entries"}
!87 = !{!"SpillUnions"}
!88 = !{!"CustomHitAttrSizeInBytes", i32 0}
!89 = !{!"Types", !90, !91, !92}
!90 = !{!"FrameStartTys"}
!91 = !{!"ArgumentTys"}
!92 = !{!"FullFrameTys"}
!93 = !{!"Aliases"}
!94 = !{!"resAllocMD", !95, !96, !97, !98, !99}
!95 = !{!"uavsNumType", i32 0}
!96 = !{!"srvsNumType", i32 0}
!97 = !{!"samplersNumType", i32 0}
!98 = !{!"argAllocMDList"}
!99 = !{!"inlineSamplersMD"}
!100 = !{!"maxByteOffsets"}
!101 = !{!"IsInitializer", i1 false}
!102 = !{!"IsFinalizer", i1 false}
!103 = !{!"CompiledSubGroupsNumber", i32 0}
!104 = !{!"hasInlineVmeSamplers", i1 false}
!105 = !{!"localSize", i32 0}
!106 = !{!"localIDPresent", i1 false}
!107 = !{!"groupIDPresent", i1 false}
!108 = !{!"privateMemoryPerWI", i32 0}
!109 = !{!"globalIDPresent", i1 false}
!110 = !{!"hasSyncRTCalls", i1 false}
!111 = !{!"hasNonKernelArgLoad", i1 false}
!112 = !{!"hasNonKernelArgStore", i1 false}
!113 = !{!"hasNonKernelArgAtomic", i1 false}
!114 = !{!"UserAnnotations"}
!115 = !{!"m_OpenCLArgAddressSpaces"}
!116 = !{!"m_OpenCLArgAccessQualifiers"}
!117 = !{!"m_OpenCLArgTypes"}
!118 = !{!"m_OpenCLArgBaseTypes"}
!119 = !{!"m_OpenCLArgTypeQualifiers"}
!120 = !{!"m_OpenCLArgNames"}
!121 = !{!"pushInfo", !122, !123, !124, !127, !128, !129, !130, !131, !132, !133, !134, !147, !148, !149, !150}
!122 = !{!"pushableAddresses"}
!123 = !{!"bindlessPushInfo"}
!124 = !{!"dynamicBufferInfo", !125, !126}
!125 = !{!"firstIndex", i32 0}
!126 = !{!"numOffsets", i32 0}
!127 = !{!"MaxNumberOfPushedBuffers", i32 0}
!128 = !{!"inlineConstantBufferSlot", i32 -1}
!129 = !{!"inlineConstantBufferOffset", i32 -1}
!130 = !{!"inlineConstantBufferGRFOffset", i32 -1}
!131 = !{!"constants"}
!132 = !{!"inputs"}
!133 = !{!"constantReg"}
!134 = !{!"simplePushInfoArr", !135, !144, !145, !146}
!135 = !{!"simplePushInfoArrVec[0]", !136, !137, !138, !139, !140, !141, !142, !143}
!136 = !{!"cbIdx", i32 0}
!137 = !{!"pushableAddressGrfOffset", i32 -1}
!138 = !{!"pushableOffsetGrfOffset", i32 -1}
!139 = !{!"offset", i32 0}
!140 = !{!"size", i32 0}
!141 = !{!"isStateless", i1 false}
!142 = !{!"isBindless", i1 false}
!143 = !{!"simplePushLoads"}
!144 = !{!"simplePushInfoArrVec[1]", !136, !137, !138, !139, !140, !141, !142, !143}
!145 = !{!"simplePushInfoArrVec[2]", !136, !137, !138, !139, !140, !141, !142, !143}
!146 = !{!"simplePushInfoArrVec[3]", !136, !137, !138, !139, !140, !141, !142, !143}
!147 = !{!"simplePushBufferUsed", i32 0}
!148 = !{!"pushAnalysisWIInfos"}
!149 = !{!"inlineRTGlobalPtrOffset", i32 0}
!150 = !{!"rtSyncSurfPtrOffset", i32 0}
!151 = !{!"psInfo", !152, !153, !154, !155, !156, !157, !158, !159, !160, !161, !162, !163, !164, !165, !166}
!152 = !{!"BlendStateDisabledMask", i8 0}
!153 = !{!"SkipSrc0Alpha", i1 false}
!154 = !{!"DualSourceBlendingDisabled", i1 false}
!155 = !{!"ForceEnableSimd32", i1 false}
!156 = !{!"outputDepth", i1 false}
!157 = !{!"outputStencil", i1 false}
!158 = !{!"outputMask", i1 false}
!159 = !{!"blendToFillEnabled", i1 false}
!160 = !{!"forceEarlyZ", i1 false}
!161 = !{!"hasVersionedLoop", i1 false}
!162 = !{!"forceSingleSourceRTWAfterDualSourceRTW", i1 false}
!163 = !{!"NumSamples", i8 0}
!164 = !{!"blendOptimizationMode"}
!165 = !{!"colorOutputMask"}
!166 = !{!"WaDisableVRS", i1 false}
!167 = !{!"csInfo", !168, !169, !170, !171, !172, !18, !19, !173, !174, !175, !176, !177, !47, !178}
!168 = !{!"maxWorkGroupSize", i32 0}
!169 = !{!"waveSize", i32 0}
!170 = !{!"ComputeShaderSecondCompile"}
!171 = !{!"forcedSIMDSize", i8 0}
!172 = !{!"forceTotalGRFNum", i32 0}
!173 = !{!"forcedVISAPreRAScheduler", i1 false}
!174 = !{!"disableLocalIdOrderOptimizations", i1 false}
!175 = !{!"disableDispatchAlongY", i1 false}
!176 = !{!"neededThreadIdLayout", i1* null}
!177 = !{!"forceTileYWalk", i1 false}
!178 = !{!"ResForHfPacking"}
!179 = !{!"msInfo", !180, !181, !182, !183, !184, !185, !186, !187, !188}
!180 = !{!"PrimitiveTopology", i32 3}
!181 = !{!"MaxNumOfPrimitives", i32 0}
!182 = !{!"MaxNumOfVertices", i32 0}
!183 = !{!"MaxNumOfPerPrimitiveOutputs", i32 0}
!184 = !{!"MaxNumOfPerVertexOutputs", i32 0}
!185 = !{!"WorkGroupSize", i32 0}
!186 = !{!"WorkGroupMemorySizeInBytes", i32 0}
!187 = !{!"IndexFormat", i32 6}
!188 = !{!"SubgroupSize", i32 0}
!189 = !{!"taskInfo", !190, !185, !186, !188}
!190 = !{!"MaxNumOfOutputs", i32 0}
!191 = !{!"NBarrierCnt", i32 0}
!192 = !{!"rtInfo", !193, !194, !195, !196, !197, !198, !199, !200, !201, !202}
!193 = !{!"RayQueryAllocSizeInBytes", i32 0}
!194 = !{!"NumContinuations", i32 -1}
!195 = !{!"RTAsyncStackAddrspace", i32 -1}
!196 = !{!"RTAsyncStackSurfaceStateOffset", i1* null}
!197 = !{!"SWHotZoneAddrspace", i32 -1}
!198 = !{!"SWHotZoneSurfaceStateOffset", i1* null}
!199 = !{!"SWStackAddrspace", i32 -1}
!200 = !{!"SWStackSurfaceStateOffset", i1* null}
!201 = !{!"RTSyncStackAddrspace", i32 -1}
!202 = !{!"RTSyncStackSurfaceStateOffset", i1* null}
!203 = !{!"CurUniqueIndirectIdx", i32 0}
!204 = !{!"inlineDynTextures"}
!205 = !{!"inlineResInfoData"}
!206 = !{!"immConstant", !207, !208}
!207 = !{!"data"}
!208 = !{!"sizes"}
!209 = !{!"inlineConstantBuffers"}
!210 = !{!"inlineGlobalBuffers"}
!211 = !{!"GlobalPointerProgramBinaryInfos"}
!212 = !{!"ConstantPointerProgramBinaryInfos"}
!213 = !{!"GlobalBufferAddressRelocInfo"}
!214 = !{!"ConstantBufferAddressRelocInfo"}
!215 = !{!"forceLscCacheList"}
!216 = !{!"SrvMap"}
!217 = !{!"RasterizerOrderedByteAddressBuffer"}
!218 = !{!"MinNOSPushConstantSize", i32 0}
!219 = !{!"inlineProgramScopeOffsets"}
!220 = !{!"shaderData", !221}
!221 = !{!"numReplicas", i32 0}
!222 = !{!"URBInfo", !223, !224, !225}
!223 = !{!"has64BVertexHeaderInput", i1 false}
!224 = !{!"has64BVertexHeaderOutput", i1 false}
!225 = !{!"hasVertexHeader", i1 true}
!226 = !{!"UseBindlessImage", i1 false}
!227 = !{!"enableRangeReduce", i1 false}
!228 = !{!"allowMatchMadOptimizationforVS", i1 false}
!229 = !{!"disableMemOptforNegativeOffsetLoads", i1 false}
!230 = !{!"statefulResourcesNotAliased", i1 false}
!231 = !{!"disableMixMode", i1 false}
!232 = !{!"PrivateMemoryPerFG"}
!233 = !{!"capabilities", !234}
!234 = !{!"globalVariableDecorationsINTEL", i1 false}
!235 = !{!"m_ShaderResourceViewMcsMask", !236, !237}
!236 = !{!"m_ShaderResourceViewMcsMaskVec[0]", i64 0}
!237 = !{!"m_ShaderResourceViewMcsMaskVec[1]", i64 0}
!238 = !{!"computedDepthMode", i32 0}
!239 = !{!"isHDCFastClearShader", i1 false}
!240 = !{i32 3, i32 0}
!241 = !{}
!242 = !{!"-cl-std=CL3.0"}
